Skip to main content
GET
/
2
/
pm
/
market
/
book
Get Prediction Order Book
curl --request GET \
  --url https://pm-api-prod-eu.mobula.io/api/2/pm/market/book
{
  "data": {
    "bids": "<array>",
    "asks": "<array>"
  }
}
Alpha — This endpoint is part of the Prediction Markets API, currently in early access. May change without notice.

Query Parameters

platform
string
required
The prediction market platform (e.g., polymarket).
outcomeId
string
required
The outcome token ID to get the book for.

Response

data
object
Order book data.
hostname
string
Server node identifier.
took
number
Request processing time in milliseconds.

Usage Example

curl -X GET "https://api.mobula.io/api/2/pm/market/book?platform=polymarket&outcomeId=71321..."

Example Response

{
  "data": {
    "bids": [
      { "priceUSD": 0.34, "sizeToken": 5000 },
      { "priceUSD": 0.33, "sizeToken": 12000 },
      { "priceUSD": 0.32, "sizeToken": 8000 }
    ],
    "asks": [
      { "priceUSD": 0.36, "sizeToken": 4500 },
      { "priceUSD": 0.37, "sizeToken": 9000 },
      { "priceUSD": 0.38, "sizeToken": 15000 }
    ]
  },
  "hostname": "node-xyz",
  "took": 42
}

Query Parameters

platform
enum<string>
required

Prediction market platform. Today only polymarket is supported; any other value returns 400.

Available options:
polymarket
Example:

"polymarket"

outcomeId
string
required

Polymarket outcome / token ID — uint256 decimal string (the ERC-1155 token id of the YES/NO/etc. side).

Pattern: ^[0-9]+$
Example:

"59855952379545476461266875939089074481171378466995213858930892770855011813551"

Response

200 - application/json

Order book — top-of-book first (bids price desc, asks price asc).

data
object